<?php
/**
 * @author Aitoc Team
 * @copyright Copyright (c) 2020 Aitoc (https://www.aitoc.com)
 * @package Aitoc_PreOrders
 */

/**
 * Copyright © 2018 Aitoc. All rights reserved.
 * Developed by Alex Yakimovich
 */

namespace Aitoc\PreOrders\Api\Data;

/**
 * Interface OrderItemPreOrderSettingsInterface
 */
interface OrderItemPreOrderSettingsInterface
{

    /**
     * Constants for keys of data array. Identical to the name of the getter in snake case
     */
    const ENTITY_ID = 'entity_id';
    const ORDER_ITEM_ID = 'order_item_id';
    const IS_PRE_ORDER = 'is_pre_order';
    const IS_NOTIFIED = 'is_notified';

    /**
     * @return int|null
     */
    public function getEntityId();

    /**
     * @param int $id
     *
     * @return $this
     */
    public function setEntityId($id);

    /**
     * @return int|null
     */
    public function getOrderItemId();

    /**
     * @param int $orderItemId
     *
     * @return $this
     */
    public function setOrderItemId($orderItemId);

    /**
     * @return bool
     */
    public function getIsPreOrder();

    /**
     * @param bool $flag
     *
     * @return $this
     */
    public function setIsPreOrder($flag);

    /**
     * @return bool
     */
    public function getIsNotified();

    /**
     * @param bool $flag
     *
     * @return $this
     */
    public function setIsNotified($flag);
}
